import java.awt.*;
import javax.swing.*;

class Grafico extends JPanel{
  private int vet[];
  
  public Grafico(int v[]){
    vet = v;
  }
  
  public void paintComponent(Graphics g){
    super.paintComponent(g);
    // Desenha eixos
    g.drawLine(30,10,30,140);
    g.drawLine(30,140,230,140);
    // Calcula total
    double tot = vet[0]+vet[1]+vet[2]+vet[3];
    if (tot == 0) tot = 1;
    // Exibe barra inter
    int lado = (int)(vet[0]*100/tot);
    g.setColor(Color.red);
    g.fillRect(40,40+(100-lado),40,lado);
    // Exibe barra gremio
    lado = (int)(vet[1]*100/tot);
    g.setColor(Color.blue);
    g.fillRect(100,40+(100-lado),40,lado);
    // Exibe barra juventude
    lado = (int)(vet[2]*100/tot);
    g.setColor(Color.green);
    g.fillRect(160,40+(100-lado),40,lado);
    // Exibe barra Caxias
    lado = (int)(vet[3]*100/tot);
    g.setColor(Color.black);
    g.drawRect(220,40+(100-lado),40,lado);
  }
}

